package io.renren.modules.business.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.renren.modules.business.entity.BusinessWorkerEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * 工人信息表
 *
 * @author jiaqiao
 * @email jiaqiao@163.com
 * @date 2022-07-20 14:37:41
 */
@Mapper
public interface BusinessWorkerDao extends BaseMapper<BusinessWorkerEntity> {

    List<BusinessWorkerEntity> queryNewPage();

    /**
     * 包含离职列表
     * @return
     */
    List<BusinessWorkerEntity> selectAllContainsDeparture(Map<String, Object> params);

    /**
     * 可分配 未离职人员名单
     * @return
     */
    List<BusinessWorkerEntity> queryfpWlzList();

    /**
     * 获取人员职责信息
     * @return
     */
    List<Map<String, Object>> orgDutyList();

    /**
     * 根据id 更新  位置 id  职位 id
     * @param worker
     */
    void updateWPById(BusinessWorkerEntity worker);

    /**
     * 获取所有录入的员工信息
     * @return
     */
    List<BusinessWorkerEntity> allWorkerList();

    /**
     * 审批不通过
     * @param userId
     */
    void newUpdateById(String userId);

    Integer findCnByName(Map<String, Object> params);

    /**
     * 查询全部带队人员
     * @return
     */
    List<BusinessWorkerEntity> queryDdry();

    /**
     * 查询全部施工人员
     * @return
     */
    List<BusinessWorkerEntity> querySgry(Map<String, Object> params);
    /**
     * 查询全部施工人员
     * @return
     */
    List<BusinessWorkerEntity> selectName();
}
